MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029113Open CASCADE[OCCT] OCCT:Codingpublic2017-09-15 09:012018-06-29 21:19
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029113: Coding Rules - fix convention to have one header per API type
DescriptionIn general, OCCT follows convention that each class is defined in its own header file with the same name. This helps to navigate across the code, e.g. to find easily definition of any type that follows that convention. This convention is also heavily used by the SWIG wrappers (simplifies implementation).

In the past, this convention has been enforced by WOK, but in the current no-WOK state it gets violated regularly (see e.g. 0029112). Alas, it is not recorded in the Coding Rules and this should be fixed at first.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0029112closedbugmaster Configuration, Image_VideoRecorder - compilation fails on Ubuntu with libavutil 54.x (FFmpeg 2.7.6) 

-  Notes
(0070572)
git (administrator)
2017-09-15 10:52

Branch CR29113 has been created by abv.

SHA-1: 1a196d8582abf6cc52f106f857cc365f5dc905ea


Detailed log of new commits:

Author: abv
Date: Fri Sep 15 10:52:14 2017 +0300

    0029113: Coding Rules - fix convention to have one header per API type
    
    Paragraph on naming of classes is revised to describe correspondence of names of public types and files.
(0070573)
abv (manager)
2017-09-15 10:53

Correction is pushed to CR29113, please review (documentation only, no testing is needed)
(0070577)
kgv (developer)
2017-09-15 12:14

No remarks from my side.
(0072314)
ysn (developer)
2017-11-17 12:08

No remarks.
(0072792)
git (administrator)
2017-12-07 21:07

Branch CR29113 has been deleted by kgv.

SHA-1: 1a196d8582abf6cc52f106f857cc365f5dc905ea

- Related Changesets
occt: master e7174545
Timestamp: 2017-09-15 07:52:14
Author: abv
Committer: bugmaster
Details ] Diff ]
0029113: Coding Rules - fix convention to have one header per API type

Paragraph on naming of classes is revised to describe correspondence of names of public types and files.
mod - dox/dev_guides/contribution/coding_rules.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-15 09:01 abv New Issue
2017-09-15 09:01 abv Assigned To => kgv
2017-09-15 09:04 abv Description Updated View Revisions
2017-09-15 09:31 abv Relationship added related to 0029112
2017-09-15 10:52 git Note Added: 0070572
2017-09-15 10:53 abv Note Added: 0070573
2017-09-15 10:53 abv Status new => resolved
2017-09-15 10:53 abv Steps to Reproduce Updated View Revisions
2017-09-15 12:14 kgv Note Added: 0070577
2017-09-15 12:14 kgv Assigned To kgv => ysn
2017-11-17 12:08 ysn Note Added: 0072314
2017-11-17 12:08 ysn Assigned To ysn => kgv
2017-11-17 12:11 kgv Assigned To kgv => bugmaster
2017-11-17 12:11 kgv Status resolved => reviewed
2017-11-20 11:36 bugmaster Test case number => Not required
2017-11-20 11:36 bugmaster Status reviewed => tested
2017-11-25 12:28 bugmaster Changeset attached => occt master e7174545
2017-11-25 12:28 bugmaster Status tested => verified
2017-11-25 12:28 bugmaster Resolution open => fixed
2017-12-07 21:07 git Note Added: 0072792
2018-02-18 00:11 abv Target Version 7.3.0 => 7.4.0*
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker